## base-installer 1.116ubuntu2

=== debian/changelog ===
base-installer (1.116ubuntu2) natty; urgency=low

  [ Hsin-Yi, Chen ]
  * Support AMD CPU family 18 (LP: #760490).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 14 Apr 2011 18:07:46 +0100

base-installer (1.116ubuntu1) natty; urgency=low

  * Resynchronise with Debian (LP: #724822).  Remaining changes:
    - Use and depend on the Ubuntu keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Ubuntu kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51, armel/dove, and armel/omap subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.
    - Run dpkg with --force-unsafe-io during installation.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Feb 2011 10:22:02 +0000

base-installer (1.116) unstable; urgency=low

  [ Colin Watson ]
  * Support AMD CPU family 20 (thanks, Keng-Yü Lin; LP: #676838).

  [ Joey Hess ]
  * pkgdetails: Return the value of the field specified by the
    DEBOOTSTRAP_CHECKSUM_FIELD environment variable.

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Feb 2011 20:26:59 -0400

base-installer (1.115ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Ubuntu keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Ubuntu kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51, armel/dove, and armel/omap subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.
    - Support AMD CPU family 20.
    - Run dpkg with --force-unsafe-io during installation.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Jan 2011 14:38:47 +0000

base-installer (1.114ubuntu3) natty; urgency=low

  * Run dpkg with --force-unsafe-io during installation; syncing is
    unnecessary in this context and can slow things down quite a bit.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Jan 2011 12:39:20 -0600

base-installer (1.114ubuntu2) natty; urgency=low

  * Support AMD CPU family 20 (thanks, Keng-Yü Lin; LP: #676838).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Jan 2011 22:24:50 +0000

base-installer (1.114ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Ubuntu keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Ubuntu kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51, armel/dove, and armel/omap subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Nov 2010 10:07:26 +0000

base-installer (1.113ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Ubuntu keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Ubuntu kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.


=== debian/control ===
Source: base-installer
Section: debian-installer
Priority: required
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>, dann frazier <dannf@debian.org>, Frans Pop <fjp@debian.org>, Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 7.3.10), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/base-installer.git
XS-Debian-Vcs-Git: git://git.debian.org/d-i/base-installer.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/base-installer/ubuntu

Package: base-installer
XC-Package-Type: udeb
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, di-utils-mapdevfs, di-utils (>= 1.68), rootskel (>= 1.19)
Description: base system installation framework

Package: bootstrap-base
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions, created-fstab, base-installer, debootstrap-udeb (>= 1.0.7), gpgv-udeb, ubuntu-keyring-udeb, archdetect
Provides: kernel-installer, installed-base
XB-Installer-Menu-Item: 6500
Description: Install the base system

## base-installer 1.116ubuntu3

=== debian/changelog ===
base-installer (1.116ubuntu3) natty-proposed; urgency=low

  * Honour apt-setup/security_path when constructing initial security
    entries in sources.list (LP: #820306).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Aug 2011 11:36:25 +0100

## base-installer 1.116ubuntu3+5.0trisquel1

=== debian/changelog ===
base-installer (1.116ubuntu3+5.0trisquel1) dagda; urgency=low

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 05 Jul 2012 09:57:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: base-installer
 Section: debian-installer
 Priority: required
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>, dann frazier <dannf@debian.org>, Frans Pop <fjp@debian.org>, Steve Langasek <vorlon@debian.org>
 Build-Depends: debhelper (>= 7.3.10), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
@@ -18,7 +18,7 @@
 Package: bootstrap-base
 XC-Package-Type: udeb
 Architecture: any
-Depends: ${shlibs:Depends}, mounted-partitions, created-fstab, base-installer, debootstrap-udeb (>= 1.0.7), gpgv-udeb, ubuntu-keyring-udeb, archdetect
+Depends: ${shlibs:Depends}, mounted-partitions, created-fstab, base-installer, debootstrap-udeb (>= 1.0.7), gpgv-udeb, trisquel-keyring-udeb, archdetect
 Provides: kernel-installer, installed-base
 XB-Installer-Menu-Item: 6500
 Description: Install the base system

## base-installer 1.120

=== debian/changelog ===
base-installer (1.120) unstable; urgency=low

  [ Samuel Thibault ]
  * Redirect hurd-i386 active firmlink to null to avoid letting callers keep
    trying reading from it.

 -- Otavio Salvador <otavio@debian.org>  Sun, 24 Jul 2011 00:20:08 +0200

base-installer (1.119) unstable; urgency=low

  [ Ben Hutchings ]
  * Correct i386 kernel package selection tests for Transmeta TM5800
  * Fix i386 kernel package compatibility check: a suffix of '-pae' means
    the package is incompatible, just as '-bigmem' does
  * Fix i386 feature tests for '686' kernel flavour
  * Add VIA C3 'Nehemiah' as 686-class processor without PAE

 -- Christian Perrier <bubulle@debian.org>  Mon, 25 Apr 2011 07:22:47 +0200

base-installer (1.118) unstable; urgency=low

  * Team upload

  [ Ben Hutchings ]
  * Update i386 kernel selection for new flavours in wheezy.

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Apr 2011 17:18:41 +0200

base-installer (1.117) unstable; urgency=low

  * Team upload

  [ Samuel Thibault ]
  * Add hurd-i386 kernel support.

  [ Joey Hess ]
  * If archive.gpg is missing for some reason, still pass the keyring
    parameter to debootstrap. If you absolutely must run the installer
    w/o a keyring and bootstrap from the network, you can preseed
    debian-installer/allow_unauthenticated.
  * Pass --no-check-gpg to debootstrap when not using http/ftp,
    or when allow_unauthenticated is set, since debootstrap has
    changed to validating the keyring when present by default.
  * Needs debootstrap 1.0.30

  [ Colin Watson ]
  * Support AMD CPU family 18 (thanks, Hsin-Yi, Chen; LP: #760490).

  [ Hector Oron ]
  * Add armhf architecture support 

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Esperanto (eo.po) by Felipe Castro
  * Estonian (et.po) by Mattias Põldaru
  * Korean (ko.po) by Changwoo Ryu
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Uyghur (ug.po) by Sahran

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Apr 2011 08:43:29 +0200

## base-installer 1.121

=== debian/changelog ===
base-installer (1.121) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Run dpkg with --force-unsafe-io during installation; syncing is
      unnecessary in this context and can slow things down quite a bit
      (closes: #605384).
  * Consider 3.0 and later kernels as being like 2.6 for the purposes of
    debconf template selection.

  [ Samuel Thibault ]
  * Propose kernels only of the same kind (closes: Bug#637432)

  [ Joey Hess ]
  * Treat 3.x the same as 2.6 in arch_get_kernel.

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Basque (eu.po)
  * Italian (it.po) by Milo Casagrande
  * Macedonian (mk.po) by Arangel Angov
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Aug 2011 19:11:09 -0400

=== debian/control ===
Source: base-installer
Section: debian-installer
Priority: required
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>, dann frazier <dannf@debian.org>, Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 7.3.10), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
Vcs-Browser: http://git.debian.org/?p=d-i/base-installer.git
Vcs-Git: git://git.debian.org/d-i/base-installer.git

Package: base-installer
XC-Package-Type: udeb
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, di-utils-mapdevfs, di-utils (>= 1.48), rootskel (>= 1.19)
Description: base system installation framework

Package: bootstrap-base
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions, created-fstab, base-installer, debootstrap-udeb (>= 1.0.7), gpgv-udeb, debian-archive-keyring-udeb, archdetect
Provides: kernel-installer, installed-base
XB-Installer-Menu-Item: 6500
Description: Install the base system

## base-installer 1.122

=== debian/changelog ===
base-installer (1.122) unstable; urgency=low

  [ Joey Hess ]
  * Remove base-installer/kernel/linux/initramfs-generators
    and vestigial support for yaird.
  
  [ Matt Kraai ]
  * Use an initrd on mipsel/loongson-2f systems. Closes: #640418

  [ Milan Kupcevic ]
  * Add POWER7 to the powerpc64 family. (Closes: #637519)

  [ Samuel Thibault ]
  * Fix kernel name on hurd-any.

  [ Colin Watson ]
  * pkgdetails: Use the last of a sequence of stanzas for the same package
    name, rather than the first (closes: #649482).

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Kannada (kn.po) by Prabodh C P
  * Korean (ko.po) by Changwoo Ryu
  * Polish (pl.po) by Marcin Owsiany
  * Romanian (ro.po) by Ioan Eugen Stan
  * Sinhala (si.po) by Danishka Navin
  * Turkish (tr.po) by Mert Dirik

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Nov 2011 13:32:00 +0000

## base-installer 1.122ubuntu7.4

=== debian/changelog ===
base-installer (1.122ubuntu7.4) precise; urgency=medium

  * pkgdetails.c: Only interpret percentages following whitespace, to cope
    with GNU wget outputting the local file name (which may contain "%" due
    to URL-encoding) after it finishes the download (LP: #1172101).
  * Add HTTPS support: pass --no-check-certificate to debootstrap if
    debian-installer/allow_unauthenticated_ssl=true, set https_proxy if
    necessary, and copy any certificates that exist in d-i into the target
    system (LP: #1135163).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jun 2014 16:13:11 +0100

base-installer (1.122ubuntu7.3) precise-proposed; urgency=low

  * Install the signed kernels on any 64bit UEFI machine. (LP: #1184297)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 19 Jul 2013 14:10:26 -0400

base-installer (1.122ubuntu7.2) precise-proposed; urgency=low

  * On amd64/efi, install a signed kernel if the SecureBoot variable is set
    (LP: #1075181).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Nov 2012 10:48:05 +0000

base-installer (1.122ubuntu7.1) precise-proposed; urgency=low

  * Add Calxeda support (LP: #1004018)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Mon, 16 Jul 2012 20:29:58 -0400

base-installer (1.122ubuntu7) precise; urgency=low

  * Backport from upstream (Joey Hess):
    - Add missing semicolon to /etc/apt/apt.conf.d/00CDMountPoint.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 08 Apr 2012 09:54:41 +0100

base-installer (1.122ubuntu6) precise; urgency=low

  * Use -smp for both powerpc and powerpc64 variants in Ubuntu.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 20 Mar 2012 11:02:40 -0600

base-installer (1.122ubuntu5) precise; urgency=low

  * Correct test-suite to actually pass

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Fri, 17 Feb 2012 12:53:41 -0800

base-installer (1.122ubuntu4) precise; urgency=low

  * Add armadaxp to base-installer (LP: #934451)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Fri, 17 Feb 2012 11:49:03 -0800

base-installer (1.122ubuntu3) precise; urgency=low

  * "Fix" mx5 test results to pass (we don't actually use this
    subarch in Ubuntu's d-i right now, so the test is meaningless).

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 15 Dec 2011 10:28:43 -0700

base-installer (1.122ubuntu2) precise; urgency=low

  * Move kernel/tests/armhf/* to armel/, and symlink armhf to armel.
  * Symlink kernel/armhf.sh to kernel/armel.sh, to match above change.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 15 Dec 2011 10:08:57 -0700

base-installer (1.122ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Ubuntu keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host and apt-setup/security_path) as
      well as the unadorned suite; also -proposed if apt-setup/proposed is
      true.
    - Use Ubuntu kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51, armel/dove, armel/omap, and armel/omap4
      subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2011 13:45:55 +0000

base-installer (1.121ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Ubuntu keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host and apt-setup/security_path) as
      well as the unadorned suite; also -proposed if apt-setup/proposed is
      true.
    - Use Ubuntu kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51, armel/dove, armel/omap, and armel/omap4
      subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Oct 2011 01:19:23 +0100

base-installer (1.119ubuntu4) oneiric; urgency=low

  * Honour apt-setup/security_path when constructing initial security
    entries in sources.list (LP: #820306).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Aug 2011 10:53:17 +0100

base-installer (1.119ubuntu3) oneiric; urgency=low

  * Adjust for Linux 3.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Jun 2011 20:54:48 +0100

base-installer (1.119ubuntu2) oneiric; urgency=low

  * Added omap4 subarchitecture

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Thu, 16 Jun 2011 19:19:27 +0000

base-installer (1.119ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Ubuntu keyring.


## base-installer 1.122ubuntu17

=== debian/changelog ===
base-installer (1.122ubuntu17) saucy; urgency=low

  * Add generic-lpae the the allowed list of subarches in armhf/armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Sep 2013 15:15:59 -0400

base-installer (1.122ubuntu16) saucy; urgency=low

  * Install the signed kernels on any 64bit UEFI machine. (LP: #1184297)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 19 Jul 2013 11:30:15 -0400

base-installer (1.122ubuntu15) raring; urgency=low

  * Replace "highbank" flavor with "generic" (LP: #1166597)

 -- dann frazier <dann.frazier@canonical.com>  Tue, 09 Apr 2013 00:01:08 -0600

base-installer (1.122ubuntu14) raring; urgency=low

  [ Ben Collins ]
  * Add powerpc e500 and e500mc kernel detection.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Nov 2012 16:02:12 +0000

base-installer (1.122ubuntu13) quantal; urgency=low

  * Consider signed images in kernel_update_list and install_kernel_linux
    (LP: #1067250).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Oct 2012 10:38:12 +0100

base-installer (1.122ubuntu12) quantal; urgency=low

  * On amd64/efi, install a signed kernel if the SecureBoot variable is set.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Oct 2012 13:52:30 +0100

base-installer (1.122ubuntu11) quantal; urgency=low

  * Move debconf templates relating to kernel installation from
    bootstrap-base to base-installer (LP: #1049011).
  * Allow live-installer to override the title template used by kernel
    installation code.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Sep 2012 10:30:40 +0100

base-installer (1.122ubuntu10) quantal; urgency=low

  * Move /usr/lib/base-installer/kernel.sh from bootstrap-base to
    base-installer (LP: #1028453).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 13:13:49 +0100

base-installer (1.122ubuntu9) quantal; urgency=low

  * Cherry-pick from upstream (Ben Hutchings):
    - base-installer/kernel/tests: Fix regex syntax error in runtests.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Sep 2012 12:15:22 +0100

base-installer (1.122ubuntu8) quantal; urgency=low

  * Add highbank support

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Wed, 16 May 2012 11:25:53 -0400

=== debian/control ===
Source: base-installer
Section: debian-installer
Priority: required
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>, dann frazier <dannf@debian.org>, Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 7.3.10), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/base-installer.git
XS-Debian-Vcs-Git: git://git.debian.org/d-i/base-installer.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/base-installer/ubuntu

Package: base-installer
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, di-utils-mapdevfs, di-utils (>= 1.68), rootskel (>= 1.19)
Description: base system installation framework

Package: bootstrap-base
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions, created-fstab, base-installer, debootstrap-udeb (>= 1.0.7), gpgv-udeb, ubuntu-keyring-udeb, archdetect
Provides: kernel-installer, installed-base
XB-Installer-Menu-Item: 6500
Description: Install the base system

## base-installer 1.130

=== kernel/Makefile ===
ARCHES = alpha amd64 armeb armel armhf hppa i386 ia64 m68k mips mipsel powerpc s390 s390x sh4 sparc kfreebsd-amd64 kfreebsd-i386

test:
	@STATUS=0; \
	cd tests && \
	for x in $(ARCHES); do ./runtests "$$x" || STATUS=1; done; \
	exit "$$STATUS"

=== debian/changelog ===
base-installer (1.130) unstable; urgency=low

  [ Milan Kupcevic ]
  * Test suite support for Open Firmware /cpus directory. Closes: #629492

 -- Cyril Brulebois <kibi@debian.org>  Tue, 25 Dec 2012 18:38:45 +0100

base-installer (1.129) unstable; urgency=low

  [ Milan Kupcevic ]
  * Properly recognize PowerPC SMP machines. Closes: #629492

  [ Updated translations ]
  * Japanese (ja.po) by Kenshi Muto

 -- Christian Perrier <bubulle@debian.org>  Sun, 09 Dec 2012 13:08:00 +0100

base-installer (1.128) unstable; urgency=low

  * Add support for armhf/vexpress.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Oct 2012 14:42:51 +0200

base-installer (1.127) unstable; urgency=low

  * Add myself to Uploaders.

  [ Updated translations ]
  * Asturian (ast.po) by ivarela
  * Galician (gl.po) by Jorge Barreiro
  * Kannada (kn.po) by Prabodh
  * Ukrainian (uk.po) by Yuri Chornoivan

 -- Christian Perrier <bubulle@debian.org>  Wed, 17 Oct 2012 21:54:13 +0200

base-installer (1.126) unstable; urgency=low

  * Team upload

  [ Philipp Kern ]
  * Add s390x support.

 -- Philipp Kern <pkern@debian.org>  Sat, 11 Aug 2012 16:10:17 +0200

base-installer (1.125) unstable; urgency=low

  * Team upload
  * Replace XC-package-Type with Package-Type

  [ Updated translations ]
  * Welsh (cy.po) by Daffyd Tomos

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Jun 2012 18:02:43 +0200

base-installer (1.124) unstable; urgency=low

  * Team upload

  [ Joey Hess ]
  * Add missing semicolon to /etc/apt/apt.conf.d/00CDMountPoint.

  [ Updated translations ]
  * Tibetan (bo.po) by Tennom
  * German (de.po) by Holger Wansing
  * Galician (gl.po) by Jorge Barreiro
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Macedonian (mk.po) by Arangel Angov
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Christian Perrier <bubulle@debian.org>  Thu, 14 Jun 2012 20:33:53 +0200

base-installer (1.123) unstable; urgency=low

  [ Colin Watson ]
  * pkgdetails: Use fputs rather than fprintf for out-of-memory message.

  [ Martin Michlmayr ]
  * Simplify armel kernel file by removing unsupported platforms.

  [ Otavio Salvador ]
  * [linux] do not list linux-image-2.6 kernels as they're available for
    backward compatibility only.
  * Change kernel selection to choose linux-image-. Closes: #655437.

 -- Otavio Salvador <otavio@debian.org>  Tue, 03 Apr 2012 19:36:14 -0300

=== debian/control ===
Source: base-installer
Section: debian-installer
Priority: required
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>, dann frazier <dannf@debian.org>, Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.3.10), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
Vcs-Browser: http://git.debian.org/?p=d-i/base-installer.git
Vcs-Git: git://git.debian.org/d-i/base-installer.git

Package: base-installer
Package-Type: udeb
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, di-utils-mapdevfs, di-utils (>= 1.48), rootskel (>= 1.19)
Description: base system installation framework

Package: bootstrap-base
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions, created-fstab, base-installer, debootstrap-udeb (>= 1.0.7), gpgv-udeb, debian-archive-keyring-udeb, archdetect
Provides: kernel-installer, installed-base
XB-Installer-Menu-Item: 6500
Description: Install the base system

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)

override_dh_auto_build: debian/templates.gen
ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	$(MAKE) small
else
	$(MAKE) DEBUG=1
endif

debian/templates.gen: debian/templates-arch
	debian/templates-build.pl $(ARCH) < $< > $@
	# give the new templates file the same mtime as the input file, so
	# that po2debconf doesn't decide that it needs to run
	# debconf-updatepo
	touch -mr $< $@

test:
	dh_auto_test

override_dh_install:
	dh_install
	if [ -e "kernel/$(ARCH).sh" ]; then \
		install -D -m644 "kernel/$(ARCH).sh" \
		                 debian/bootstrap-base/usr/lib/base-installer/kernel.sh; \
	fi

override_dh_installdebconf:
	dh_installdebconf
	(echo ; cat debian/templates.gen) >> debian/bootstrap-base/DEBIAN/templates

## base-installer 1.144ubuntu2

=== debian/changelog ===
base-installer (1.144ubuntu2) wily; urgency=medium

  * library.sh: Properly handle the case where there is no
    overlay_early_apt_pkg_install.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 03 Jul 2015 22:15:26 -0400

base-installer (1.144ubuntu1) trusty; urgency=medium

  [ Colin Watson ]
  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Ubuntu keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host and apt-setup/security_path) as
      well as the unadorned suite; also -proposed if apt-setup/proposed is
      true.
    - Use Ubuntu kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armhf/keystone, armhf/omap, and armhf/omap4 subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.
    - Move some kernel installation support code from bootstrap-base to
      base-installer, and allow live-installer to override the title
      template used by that.
    - Add powerpc/e500 and powerpc/e500mc subarchitectures.
    - Add overlay archive support.
    - Add arm64 and ppc64el architectures.

  [ dann frazier ]
  * Add arm64 kernel selection tests (LP: #1284712).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Feb 2014 14:01:50 +0000

base-installer (1.144) unstable; urgency=medium

  [ Colin Watson ]
  * Remove some unused variables from tests.
  * Set Acquire::https::Verify-Host "false" as well as
    Acquire::https::Verify-Peer "false" if
    debian-installer/allow_unauthenticated_ssl=true, to match the behaviour
    of "wget --no-check-certificate" (thanks to Mark Russell for the
    report).

  [ Paul Wise ]
  * Allow preseeding the debootstrap variant to use

  [ Adam Conrad ]
  * Add POWER7+ and POWER8 support to powerpc64.

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Feb 2014 10:15:15 +0000

base-installer (1.143ubuntu2) trusty; urgency=medium

  * Cherry-pick POWER7+ and POWER8 support from Debian for powerpc64.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 25 Feb 2014 17:53:44 -0700

base-installer (1.143ubuntu1) trusty; urgency=medium

  [ Colin Watson ]
  * Reverse lots of our delta against Debian relating to architectures no
    longer supported in Ubuntu (armel, hppa, ia64, sparc), to make merging
    from Debian less painful.
  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Ubuntu keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host and apt-setup/security_path) as
      well as the unadorned suite; also -proposed if apt-setup/proposed is
      true.
    - Use Ubuntu kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armhf/keystone, armhf/omap, and armhf/omap4 subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.
    - Move some kernel installation support code from bootstrap-base to
      base-installer, and allow live-installer to override the title
      template used by that.
    - Add powerpc/e500 and powerpc/e500mc subarchitectures.
    - Add overlay archive support.
    - Add ppc64el architecture.
  * Remove code for some old Ubuntu i386 kernel names that no longer exist.

  [ dann frazier ]
  * Add arm64 kernel detection (LP: #1263756).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 14 Feb 2014 14:55:53 +0000

base-installer (1.143) unstable; urgency=medium

  * Add HTTPS support: pass --no-check-certificate to debootstrap if
    debian-installer/allow_unauthenticated_ssl=true, set https_proxy if
    necessary, and copy any certificates that exist in d-i into the target
    system (LP: #1135163).

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Feb 2014 13:59:27 +0000

base-installer (1.142) unstable; urgency=medium

  * pkgdetails.c: Only interpret percentages following whitespace, to cope
    with GNU wget outputting the local file name (which may contain "%" due
    to URL-encoding) after it finishes the download (LP: #1172101).

 -- Colin Watson <cjwatson@debian.org>  Fri, 07 Feb 2014 16:17:36 +0000

base-installer (1.141) unstable; urgency=low

  [ Ian Campbell ]
  * armhf: Support armmp kernel flavour on mx5 and express and as default on
    generic platforms.
  * armhf: Select armmp-lpae kernel flavour on generic platforms when the
    hardware feature is available.

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 Jan 2014 17:10:49 +0000

base-installer (1.140) unstable; urgency=medium

  [ Aurelien Jarno ]
  * mips: fix octeon cpuinfo.

 -- Christian Perrier <bubulle@debian.org>  Mon, 30 Dec 2013 14:57:43 +0100



## base-installer 1.154

=== debian/changelog ===
base-installer (1.154) unstable; urgency=low

  [ Updated translations ]
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Christian Perrier <bubulle@debian.org>  Fri, 10 Apr 2015 13:29:28 +0200

base-installer (1.153) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Sat, 07 Mar 2015 18:59:33 +0100

base-installer (1.152) unstable; urgency=medium

  [ Ben Hutchings ]
  * Add 586 flavour to i386 kernel selection
  * Filter out linux-image-*-dbg packages from kernel selection
    (Closes: #762907)

 -- Christian Perrier <bubulle@debian.org>  Sun, 02 Nov 2014 08:05:33 +0100

base-installer (1.151) unstable; urgency=medium

  * Team upload

  [ Ian Campbell ]
  * Default to MODULES=most for initramfs on armhf. (Related to #762634).

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Oct 2014 08:30:34 +0200

base-installer (1.150) unstable; urgency=low

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Sep 2014 09:33:52 +0200

base-installer (1.149) unstable; urgency=medium

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Estonian (et.po) by Mattias Põldaru

  [ Aurelien Jarno ]
  * Remove s390 support.

  [ Frederic Bonnard ]
  * Add ppc64el support.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 30 Aug 2014 00:05:48 +0200

base-installer (1.148) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Group Loongson 3A and 3B in the same loongson-3 subarchitecture.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 12 Jul 2014 16:50:58 +0200

base-installer (1.147) unstable; urgency=medium

  [ Ian Campbell ]
  * Add support for arm64, based loosely on 1.144ubuntu1.

 -- Christian Perrier <bubulle@debian.org>  Sat, 12 Jul 2014 07:41:04 +0200

base-installer (1.146) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Always enable initrd on mips and mipsel.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 30 Jun 2014 23:32:03 +0200

base-installer (1.145) unstable; urgency=medium

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Mar 2014 14:12:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: required
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>, dann frazier <dannf@debian.org>, Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>
-Build-Depends: debhelper (>= 7.3.10), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
-Vcs-Browser: http://git.debian.org/?p=d-i/base-installer.git
-Vcs-Git: git://git.debian.org/d-i/base-installer.git
+Build-Depends: debhelper (>= 9), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/base-installer.git
+Vcs-Git: git://anonscm.debian.org/d-i/base-installer.git
 
 Package: base-installer
 Package-Type: udeb

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CROSS :=
else
CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc STRIP=$(DEB_HOST_GNU_TYPE)-strip
endif

override_dh_auto_build: debian/templates.gen
ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	$(MAKE) small $(CROSS)
else
	$(MAKE) DEBUG=1 $(CROSS)
endif

debian/templates.gen: debian/templates-arch
	debian/templates-build.pl $(DEB_HOST_ARCH) < $< > $@
	# give the new templates file the same mtime as the input file, so
	# that po2debconf doesn't decide that it needs to run
	# debconf-updatepo
	touch -mr $< $@

test:
	dh_auto_test

override_dh_install:
	dh_install
	if [ -e "kernel/$(DEB_HOST_ARCH).sh" ]; then \
		install -D -m644 "kernel/$(DEB_HOST_ARCH).sh" \
		                 debian/bootstrap-base/usr/lib/base-installer/kernel.sh; \
	fi

override_dh_installdebconf:
	dh_installdebconf
	(echo ; cat debian/templates.gen) >> debian/bootstrap-base/DEBIAN/templates

## base-installer 1.154+rpi1

=== debian/changelog ===
base-installer (1.154+rpi1) jessie-staging; urgency=medium
  [changes brought forward from 1.148+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 30 Jul 2014 05:27:29 +0000]
  * Use raspbian-archive-keyring instead of debian-archive-keyring.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 11 Jun 2015 19:11:30 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Package: bootstrap-base
 Package-Type: udeb
 Architecture: any
-Depends: ${shlibs:Depends}, mounted-partitions, created-fstab, base-installer, debootstrap-udeb (>= 1.0.7), gpgv-udeb, debian-archive-keyring-udeb, archdetect
+Depends: ${shlibs:Depends}, mounted-partitions, created-fstab, base-installer, debootstrap-udeb (>= 1.0.7), gpgv-udeb, raspbian-archive-keyring-udeb, archdetect
 Provides: kernel-installer, installed-base
 XB-Installer-Menu-Item: 6500
 Description: Install the base system

## base-installer 1.155+devuan1.0

=== debian/changelog ===
base-installer (1.155+devuan1.0) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Support Linux 4.x kernels in arch_get_kernel

  [ Christian Perrier ]
  * releasing package base-installer version 1.155

  [ Daniel Reurich ]
  * Merged from Debian v1.155

 -- Daniel Reurich <daniel@centurion.net.nz>  Mon, 26 Oct 2015 19:50:36 +0000

base-installer (1.154+devuan1.0) unstable; urgency=medium

  [ Frits Daalmans ]
  * The run-debootstrap option --exclude=pkg1,pkg2,pkg3 is put in environment variable DEBOOTSTRAP_EXCLUDE_FIELD, where it is picked up by the compiled C program pkgdetails (NOT any pkgdetails perl script, internal to debootstrap/functions or elsewhere).
  * Needed to take into account what happens when the exclude option starts with a comma
  * removed DBG statements, fixed 2 minor memory leaks and 1 corner case.
  * cleanup of part of the GETDEPS code. 2 small optimizations.
  * removed DBG statement
  * small strlen() optimization, changed some dynamic allocations into fixed-length strings, found 2 minor buffer overflows (if text lines in Packages run over the MAX_LENGTH=1000 bytes).

  [ Daniel Reurich ]
  * bump devuan version

 -- Daniel Reurich <daniel@centurion.net.nz>  Mon, 26 Oct 2015 18:34:22 +0000

base-installer (1.154+devuan0.1) unstable; urgency=medium

  * Taken over package maintenance (for Devuan)

 -- Daniel Reurich <daniel@centurion.net.nz>  Thu, 28 May 2015 23:30:33 +0000

base-installer (1.154+devuan) unstable; urgency=medium

  [ D-I role ]
  * [l10n]  Commit changed/added files

  [ Christian Perrier ]
  * Revert PO-Revision-Date change as there hasn't been any real change

  [ Daniel Reurich ]
  * Initial changes for Devuan distrobution

 -- Daniel Reurich <centurion@devuan.intranet.centurion.net.nz>  Tue, 05 May 2015 11:45:12 +0000

=== debian/control ===
Source: base-installer
Section: debian-installer
Priority: required
Maintainer: Daniel Reurich <daniel@centurion.net.nz>
Build-Depends: debhelper (>= 9), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
Vcs-Browser: https://git.devuan.org/d-i/base-installer
Vcs-Git: https://git.devuan.org/d-i/base-installeri.git

Package: base-installer
Package-Type: udeb
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, di-utils-mapdevfs, di-utils (>= 1.48), rootskel (>= 1.19)
Description: base system installation framework

Package: bootstrap-base
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions, created-fstab, base-installer, debootstrap-udeb (>= 1.0.7), gpgv-udeb, devuan-keyring-udeb, archdetect
Provides: kernel-installer, installed-base
XB-Installer-Menu-Item: 6500
Description: Install the base system

## base-installer 1.158ubuntu2.1+8.0trisquel1

=== debian/changelog ===
base-installer (1.158ubuntu2.1+8.0trisquel1) flidas; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 06 Mar 2017 00:33:23 +0000

base-installer (1.158ubuntu2.1) xenial; urgency=medium

  * Tolerate omission of leading "deb " in apt-setup/local0/repository
    (based on patch by Lars Kollstedt; LP: #1512347).

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 04 May 2016 09:14:44 -0500

base-installer (1.158ubuntu2) xenial; urgency=high

  * Fix s390x kernels.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 25 Jan 2016 17:33:27 +0000

base-installer (1.158ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Ubuntu keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host and apt-setup/security_path) as
      well as the unadorned suite; also -proposed if apt-setup/proposed is
      true.
    - Use Ubuntu kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armhf/keystone, armhf/omap, and armhf/omap4 subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.
    - Move some kernel installation support code from bootstrap-base to
      base-installer, and allow live-installer to override the title
      template used by that.
    - Add powerpc/e500 and powerpc/e500mc subarchitectures.
    - Add overlay archive support.
  * Fix up architecture tests to still pass with less delta from Debian.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 08 Dec 2015 10:25:44 -0500

base-installer (1.158) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Use -arch variant for both dh_install and dh_installdebconf overrides,
    fixing FTBFS with -A (Closes: #806218).

 -- Christian Perrier <bubulle@debian.org>  Fri, 27 Nov 2015 07:13:36 +0100

base-installer (1.157) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Jul 2015 12:19:19 +0200

base-installer (1.156) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jun 2015 07:38:50 +0200

base-installer (1.155) unstable; urgency=low

  [ Martin Michlmayr ]
  * Support Linux 4.x kernels in arch_get_kernel.

 -- Christian Perrier <bubulle@debian.org>  Sat, 06 Jun 2015 06:02:07 +0200

## base-installer 1.158ubuntu4

=== kernel/Makefile ===
ARCHES = alpha amd64 arm64 armeb armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64el s390x sh4 sparc kfreebsd-amd64 kfreebsd-i386

test:
	@STATUS=0; \
	cd tests && \
	for x in $(ARCHES); do ./runtests "$$x" || STATUS=1; done; \
	exit "$$STATUS"

## base-installer 1.158ubuntu4+9.0trisquel1

=== debian/changelog ===
base-installer (1.158ubuntu4+9.0trisquel1) etiona; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 13 Sep 2019 21:55:49 +0000

base-installer (1.158ubuntu4) yakkety; urgency=medium

  * Use the generic kernel for the powerpc64 flavor (LP: #1625368)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 19 Sep 2016 15:44:51 -0600

base-installer (1.158ubuntu3) yakkety; urgency=medium

  * Tolerate omission of leading "deb " in apt-setup/local0/repository
    (based on patch by Lars Kollstedt; LP: #1512347).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 May 2016 00:43:55 +0100

## base-installer 1.158ubuntu4+9.0trisquel2

=== debian/changelog ===
base-installer (1.158ubuntu4+9.0trisquel2) etiona; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 10 Jul 2020 17:53:41 +0000
